com.unitech.lib.uhf.types

## Enum BLFType

- java.lang.Object
- - java.lang.Enum<BLFType>
  - - com.unitech.lib.uhf.types.BLFType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<BLFType>

      public enum BLFType
      extends java.lang.Enum<BLFType>
      implements IEnumType

  The BLFType enumeration represents the BLF by which the RFID UHF module inventories the TAG.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLF_160` Backscatter-link frequency 160
    `BLF_213` Backscatter-link frequency 213
    `BLF_256` Backscatter-link frequency 256
    `BLF_320` Backscatter-link frequency 320
    `BLF_40` Backscatter-link frequency 40
    `BLF_640` Backscatter-link frequency 640

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `static java.lang.String[]` | `names()` Returns an array containing the name of this enum type.
    `java.lang.String` | `toString()` Return the name of the enum
    `static BLFType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static BLFType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BLFType` | `valueOfName(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BLFType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLF_40

          public static final BLFType BLF_40

      Backscatter-link frequency 40

    - #### BLF_160

          public static final BLFType BLF_160

      Backscatter-link frequency 160

    - #### BLF_213

          public static final BLFType BLF_213

      Backscatter-link frequency 213

    - #### BLF_256

          public static final BLFType BLF_256

      Backscatter-link frequency 256

    - #### BLF_320

          public static final BLFType BLF_320

      Backscatter-link frequency 320

    - #### BLF_640

          public static final BLFType BLF_640

      Backscatter-link frequency 640

  - ### Method Detail

    - #### values

          public static BLFType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BLFType c : BLFType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BLFType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<BLFType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static BLFType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static BLFType valueOfName(java.lang.String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static java.lang.String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.